package microfolie.service;

import microfolie.persistance.table.EspaceTable;

public class EspaceService {
	
	private static EspaceService instance;
	
	private EspaceTable table = EspaceTable.getInstance();
	
	private EspaceService() {
		// Constructeur privé pour singleton
	}
	
	public boolean exist(String code) {
		return table.findByCode(code).isPresent();
	}
	
	public static EspaceService getInstance() {
		if (instance == null) {
			instance = new EspaceService();
		}
		return instance;
	}

}
